---@meta posix.utime

---@class posix_utime_times*
---@field actime integer
---@field modtime integer

---@class posix_utime*
---@field version string
---@type posix_utime*
local M = {}

---@param path string
---@param times? posix_utime_times*
---@return integer? ok
---@return string? errMsg
---@return integer? errno
function M.utime(path, times) end

return M
